### Method

# Ide WorkspaceAddin can_close

#### Declaration

    gboolean
    ide_workspace_addin_can_close (
      IdeWorkspaceAddin* self
    )

#### Description

This method is called to determine if the workspace can close. If the addin needs to prevent the workspace closing, then return `FALSE`; otherwise `TRUE`.

Available since: | 3.34

#### Return value

Returns: | `gboolean`
| `TRUE` if the workspace can close; otherwise `FALSE`.